#ifndef _AUDIOCACHEWRAPPER_H_
#define _AUDIOCACHEWRAPPER_H_

#ifdef __cplusplus
extern "C" {
#endif
typedef struct _DataColleParam
{
	const char* URL;
	const char* info;
} DataColleParam;

void DCCreat();

void DCStartSession(DataColleParam param);

void DCWriteAudioWk(const void *wkupData, int len);

void DCWriteAudioRec(const void *recData, int len);

void DCEndSession();

void DCDestory();

const char* DCGetVersion();

#ifdef __cplusplus
};
#endif
#endif // _AUDIOCACHEWRAPPER_H_